Bug 143715 - ov511 webcam kernel module is reducing lightness accordingly with resolution
ov511 webcam kernel module is reducing lightness accordingly with resolution
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-24 19:33 EST by Alexandre Strube
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:13:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
image at 640x480 (25.76 KB, image/jpeg)
2005-07-18 18:36 EDT, Alexandre Strube
no flags Details
image at 320x240 (4.26 KB, image/jpeg)
2005-07-18 18:39 EDT, Alexandre Strube
no flags Details

  None (edit)
Description Alexandre Strube 2004-12-24 19:33:45 EST
Description of problem: ov511's webcam kernel module has a problem.
The more you reduce the captured image size, the more darker it gets.

Eg. If the image is captured at full vga (640x480) resolution, light
is fine. If it's done at 320x240, the image is barely visible. And if
you use, for instance, 160x120, all you get are black pixels.


Version-Release number of selected component (if applicable): All 2.6
kernels.


How reproducible: always


Steps to Reproduce:
1.capture an image (on any application which can use ov511) with
640x480, for instance.
2.ajdust brightness settings.
3.reduce resolution
  
Actual results:
The image gets darker.

Expected results:
The image remains the same brightness.
Comment 1 Dave Jones 2005-07-15 15:05:15 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Alexandre Strube 2005-07-18 18:36:40 EDT
Created attachment 116904 [details]
image at 640x480
Comment 3 Alexandre Strube 2005-07-18 18:39:32 EDT
Created attachment 116905 [details]
image at 320x240

both were done with camE. The result is identical with xawtv and gnomemeeting.
Image tends to red.
Comment 4 Alexandre Strube 2005-07-18 18:41:24 EDT
As you can see, it didn't fixed it. uname -a says 
Linux casa 2.6.12-1.1372_FC3 #1 Fri Jul 15 00:59:10 EDT 2005 i686 athlon i386
GNU/Linux
Comment 5 Dave Jones 2006-01-16 17:31:04 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 6 Dave Jones 2006-02-03 01:13:36 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 09:13:58 EDT
Closing per previous comment.
Comment 8 Alexandre Strube 2006-05-09 10:50:43 EDT
bug is still present in fedora 4 using 2.6.11-1.1369_FC4 - can it be reopened?

I will upgrade this machine as soon as I can to fedora 5. Until then, it can be
stated as fedora 4 and still an issue.

Note You need to log in before you can comment on or make changes to this bug.